Projekte

Notizen
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
Liste

API endpoint:

GET
https://rankpro.media.ag/api/v1/projects

Beispielanfrage:

curl --location --request GET 'https://rankpro.media.ag/api/v1/projects' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Typ
Beschreibung
search
optional string
Die Suchanfrage.
search_by
optional string
Suche nach. Mögliche Werte sind: project für Name. Standardwert ist: project.
sort_by
optional string
Sortieren nach . Mögliche Werte sind: created_at für Datum der Erstellung, project für Name. Standardwert ist: created_at.
sort
optional string
Sortieren. Mögliche Werte sind: desc für Absteigend, asc für Aufsteigen. Standardwert ist: desc.
per_page
optional int
Ergebnisse pro Seite. Mögliche Werte sind: 10, 25, 50, 100. Standardwert ist: 10.
Löschen

API endpoint:

DELETE
https://rankpro.media.ag/api/v1/projects/{project}

Beispielanfrage:

curl --location --request DELETE 'https://rankpro.media.ag/api/v1/projects/{project}' \
--header 'Authorization: Bearer {api_key}'